variables:
  GIT_SUBMODULE_STRATEGY: recursive

compile_pdf:
  image: latexpygments
  script:
    - cd tikz
    - latexmk -pdf mon48v.tex
    - latexmk -pdf mon48i.tex
    - cd ..
    - latexmk -f -pdf -shell-escape ./thesis.tex
  artifacts:
    paths:
      - tikz/*.pdf
      - thesis.pdf

